## comixcursors 0.6.1

=== Makefile ===
CURSORDIR=$(HOME)/.icons/ComixCursors-Custom
BUILDDIR=cursors

#Define here the animation cursor directories
ANIMATED_CURSORS:= wait progress help

########################################################################

#Find list of cursors
conffiles = $(wildcard build/*.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(subst build/,,$(conffile)))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(subst build/,,$(conffile)))))
animcursorfiles:=$(foreach animationfile,$(ANIMATED_CURSORS),$(BUILDDIR)/$(animationfile))
animcursornames:=$(ANIMATED_CURSORS)

CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)
ANIMATIONS= $(animcursorfiles)
ANIMATIONNAMES=$(animcursornames)


.PHONY: all

all: $(CURSORS) $(ANIMATIONS)

install: all
#	Create necessary directories
	if test ! -d $(HOME)/.icons ;then mkdir $(HOME)/.icons; fi
	if test ! -d $(HOME)/.icons/default ;then mkdir $(HOME)/.icons/default;fi
	if test -d $(CURSORDIR) ;then rm -rf $(CURSORDIR); fi
	if test ! -d $(CURSORDIR) ;then mkdir $(CURSORDIR); fi
	if test ! -d $(CURSORDIR)/cursors ;then mkdir $(CURSORDIR)/cursors; fi

#	Copy the cursors
	cp -Rf $(BUILDDIR)/* $(CURSORDIR)/cursors

#	Copy the configuration file
	cp -f  index.theme $(CURSORDIR)
	
	sh link-cursors.sh $(CURSORDIR)/cursors
	
#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): build/$(1).png build/$(1).conf
	xcursorgen build/$(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))

#Animated Cursors
define ANIMCURSOR_template
$(BUILDDIR)/$(1):  build/$(1)/$(1).conf build/$(1)/*.png
	xcursorgen build/$(1)/$(1).conf $(BUILDDIR)/$(1)
endef

$(foreach anim,$(ANIMATIONNAMES),$(eval $(call ANIMCURSOR_template,$(anim))))

.PHONY: clean
clean:: clean-all

.PHONY: clean-all
clean-all:: clean-build clean-cursors clean-tmp clean-shadows

.PHONY: clean-build
clean-build::
	$(RM) -r build

.PHONY: clean-cursors
clean-cursors::
	$(RM) -r cursors

.PHONY: clean-tmp
clean-tmp::
	$(RM) -r tmp

.PHONY: clean-shadows
clean-shadows::
	$(RM) -r shadows

=== debian/changelog ===
comixcursors (0.6.1-4) unstable; urgency=high

  * The “Thunder in the skies” release.
  * Urgency ‘high’ to address bug of ‘serious’ severity.
  * Keep empty directory for default cursor theme
    (Closes: Bug#591595).
  * Add Lintian override for empty directory.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 03 Sep 2010 22:59:31 +1000

comixcursors (0.6.1-3) unstable; urgency=medium

  * The “Inconscience” release.
  * debian/preinst:
    + Handle the case where no cursor themes are yet installed
      (Closes: Bug#591595).

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 15 Aug 2010 19:54:18 +1000

comixcursors (0.6.1-2) unstable; urgency=low

  * The “Clochettes” release.
  * debian/control:
    + “Build-Depends: librsvg2-bin” instead of inkscape.
  * debian/patches/03-convert-using-rsvg.patch:
    + Use ‘rsvg’ for conversion from SVG to PNG.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 09 May 2010 13:01:22 +1000

comixcursors (0.6.1-1) unstable; urgency=low

  * The “Baladin” release.
  * Adopt this package; thanks Sune Vuorela for maintaining to date.
    (Closes: bug#532020).
  * New upstream version. Highlights since previous release:
    + Added red cursors.
    + Progress animation expanded to 24 frames.
    + Various fixes to cursors.
  * debian/copyright:
    + Format per draft DEP-5 machine-parseable format.
    + Update copyright information.
  * debian/source/format:
    + Switch to source format “3.0 (quilt)”.
  * debian/control:
    + Conform to “Standards-Version: 3.8.4”. No further changes needed.
    + Update URL for upstream home page.
    + Declare VCS URL for Debian packaging source.
    + Re-word the description for natural English-language style.
  * debian/watch:
    + Explain why we can't currently use ‘uscan’.
  * debian/patches/01-declare-bash-programs.patch:
    + Declare correct shebang line for Bash program ‘install-all.sh’.
  * debian/patches/02-custom-destination.patch:
    + Use an environment variable to override destination directory.
  * debian/control, debian/rules:
    + Switch to debhelper version 7 and ‘dh’.
    + Build from source using upstream's build system
      (Closes: bug#531625).
      This also reduces package size since many duplicated icon files now
      result in symlinks.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 24 Apr 2010 09:19:08 +1000

comixcursors (0.5.0-1) unstable; urgency=low

  * The "finally I get around to look at Barry's work"-release
  * Based on very nice work done by Barry deFreese.
  * New upstream release (Closes: #448722)
    + Christmas theme removed and "Custom" added
    + Empty bz2 file no longer included (Closes: #392371)
  * Bump debhelper build-dep and compat to 5
  * Remove comments from rules
  * Remove workaround to upstream issue introduced in 0.4.1-4
  * Update maintainer scripts (Closes: #392657). This will trigger this bug on
    this upgrade, but only this time.
    + Don't remove and re-install all alternatives on upgrade
    + Remove themes no longer shipped in preinst and add new themes on upgrade
  * Move homepage field from description
  * Bump standards
  * Do stuff in binary-indep instead of binary-arch. Thanks lintian.

 -- Sune Vuorela <debian@pusling.com>  Sun, 27 Jan 2008 02:03:46 +0100

comixcursors (0.4.1-4) unstable; urgency=low

  * Hacking around problems with gnome theme manager (Closes: #372572)

 -- Sune Vuorela <debian@pusling.com>  Thu, 28 Sep 2006 15:59:19 +0200

comixcursors (0.4.1-3) unstable; urgency=low

  * fixing alternatives once more (Closes: #355890)

 -- Sune Vuorela <debian@pusling.com>  Fri, 26 May 2006 23:34:56 +0000

comixcursors (0.4.1-2) unstable; urgency=low

  * Fixes typo in prerm (Closes: #364742)

 -- Sune Vuorela <debian@pusling.com>  Wed, 26 Apr 2006 10:26:00 +0000

comixcursors (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Moved out of /usr/X11R6 to /usr/share/icons (Closes: #362098)
  * Registering with the alternatives system; thanks to Bastian
    Venthur (Closes: #355890)

 -- Sune Vuorela <debian@pusling.com>  Sat, 22 Apr 2006 17:15:13 +0000

comixcursors (0.3.2-1) unstable; urgency=low

  * Initial release Closes: #344520

 -- Sune Vuorela <debian@pusling.com>  Fri, 23 Dec 2005 11:57:22 +0000

=== debian/control ===
Source: comixcursors
Section: x11
Priority: optional
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
VCS-bzr: http://bzr.debian.org/collab-maint/comixcursors/comixcursors.debian/
Build-Depends:
    bc,
    librsvg2-bin,
    imagemagick,
    x11-apps,
    debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Homepage: http://opendesktop.org/content/show.php?content=32627

Package: comixcursors
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 mouse pointer theme with a comic feeling
 ComixCursors is a mouse pointer theme for X11 in the style of
 comic-book art.
 .
 The package includes cursor sets in a wide combination of options:
  * 5 different colors (black, blue, green, orange, white)
  * 3 different sizes (small, regular, large)
  * 2 different weights (slim, normal)
 .
 and some additional “bonus” options.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
#
# Copyright © 2010 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied.
# See the file ‘/usr/share/common-licenses/GPL-2’ for details.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGEDIR = $(CURDIR)/debian/comixcursors
ICONDIR=usr/share/icons
WRAPPERDIR=etc/X11/cursors


.PHONY: build
build:
	dh build

.PHONY: clean
clean:
	dh clean

.PHONY: install
install: export ICONSDIR := $(shell mktemp -t -d)
install: export DISPLAY =
install: build
	dh install

	cp -a ${ICONSDIR}/ComixCursors* ${PACKAGEDIR}/${ICONDIR}

	chmod +x debian/wrapperthemes.sh
	debian/wrapperthemes.sh

.PHONY: binary-indep
binary-indep: build install
	dh binary-indep

.PHONY: binary-arch
binary-arch: build install

.PHONY: binary
binary: build binary-indep binary-arch

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
#	Skip auto-detection of build tool.
	make clean

.PHONY: override_dh_auto_build
override_dh_auto_build:
#	Skip auto-detection of build tool.

.PHONY: override_dh_auto_test
override_dh_auto_test:
#	Skip auto-detection of build tool.

.PHONY: override_dh_auto_install
override_dh_auto_install:
#	Skip auto-detection of build tool.
	./install-all.sh

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs ChangeLog


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

## comixcursors 0.7.2

=== Makefile ===
#! /usr/bin/make -f
#
# Makefile
# Part of ComixCursors, a desktop cursor theme.
#
# Copyright © 2010 Ben Finney <ben+gnome@benfinney.id.au>
# Copyright © 2006–2010 Jens Luetkens <j.luetkens@hamburg.de>
# Copyright © 2003 Unai G
#
# This work is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this work. If not, see <http://www.gnu.org/licenses/>.

# Makefile for ComixCursors project.

SHELL = /bin/bash

CURSORSNAME = ComixCursors
PACKAGENAME ?= ${CURSORSNAME}
SUMMARY ?= The original Comix Cursors
ICONSDIR ?= ${HOME}/.icons
THEMENAME ?= custom

GENERATED_FILES :=

ifeq (@LH-,$(findstring @LH-,@${THEMENAME}))
	orientation = LeftHanded
else
	orientation = RightHanded
endif

bindir = bin
svgdir = svg
indir = ${svgdir}/${orientation}
configdir = ComixCursorsConfigs
configfile = ${configdir}/${THEMENAME}.CONFIG
themefile = ${configdir}/${THEMENAME}.theme
workdir = tmp
builddir = build
xcursor_builddir = cursors
distdir = dist

destdir = ${ICONSDIR}/${CURSORSNAME}-${THEMENAME}
xcursor_destdir = ${destdir}/cursors

template_configfile = ${configdir}/custom.CONFIG
template_themefile = ${configdir}/custom.theme

# Derive cursor file names.
conffiles = $(wildcard ${builddir}/*.conf)
cursornames = $(foreach conffile,${conffiles},$(basename $(notdir ${conffile})))
cursorfiles = $(foreach cursor,${cursornames},${xcursor_builddir}/${cursor})

GENERATED_FILES += ${svgdir}/*/*.frame*.svg
GENERATED_FILES += ${workdir}
GENERATED_FILES += ${builddir}
GENERATED_FILES += ${xcursor_builddir}
GENERATED_FILES += ${distdir}

# Packaging files.
news_file = NEWS
rpm_specfile_changelog = specfile-changelog
rpm_specfile = ${PACKAGENAME}.spec
rpm_spec_template = ${CURSORSNAME}.spec.in

GENERATED_FILES += ${rpm_specfile_changelog} *.spec

LINK_CURSORS = "${bindir}"/link-cursors
MAKE_SPECFILE_CHANGELOG = "${bindir}"/news-to-specfile-changelog
MAKE_SPECFILE = "${bindir}"/make-specfile


.PHONY: all
all: ${cursorfiles}

${xcursor_builddir}/%: ${builddir}/%.conf ${builddir}/%*.png
	xcursorgen "$<" "$@"


.PHONY: install
install: all
# Create necessary directories.
	install -d "${ICONSDIR}" "${ICONSDIR}/default"
	$(RM) -r "${destdir}"
	install -d "${xcursor_destdir}"

# Install the cursors.
	install -m u=rw,go=r "${xcursor_builddir}"/* "${xcursor_destdir}"

# Install the theme configuration file.
	install -m u=rw,go=r "${themefile}" "${destdir}"/index.theme

# Install alternative name symlinks for the cursors.
	$(LINK_CURSORS) "${xcursor_destdir}"

.PHONY: uninstall
uninstall:
	$(RM) -r "${destdir}"


.PHONY: custom-theme
custom-theme: ${configfile} ${themefile}

${configfile}: ${template_configfile}
	cp "$<" "$@"

${themefile}: ${template_themefile}
	cp "$<" "$@"


.PHONY: rpm
rpm: ${rpm_specfile}

${rpm_specfile_changelog}: ${news_file}
	$(MAKE_SPECFILE_CHANGELOG) < "$<" > "$@"

${rpm_specfile}: ${rpm_spec_template} ${rpm_specfile_changelog}
	$(MAKE_SPECFILE)


.PHONY: clean
clean:
	$(RM) -r ${GENERATED_FILES}


# Local Variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/changelog ===
comixcursors (0.7.2-3) unstable; urgency=low

  * The “Falling Slowly” release.
  * debian/control:
    + Declare “Standards-Version: 3.9.3”. No further changes required.
  * debian/patches/02-rsvg-convert.patch:
    + Switch from deprecated ‘rsvg(1)’ to ‘rsvg-convert(1)’.
      Closes: bug#666473.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 12 Aug 2012 01:16:32 +1000

comixcursors (0.7.2-2) unstable; urgency=low

  * The “Midgard serpent” release.
  * debian/control:
    + Set “Priority: extra” for transitional binary package ‘comixcursors’.
  * debian/control, debian/rules:
    + Conform to “Standards-Version: 3.9.2”.
    + Add recommended build targets.
    + Increase minimum Debhelper version to support the new build targets.
  * debian/templates/docs.template:
    + ‘NEWS’ file already being installed as upstream changelog.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 31 Jul 2011 18:57:43 +1000

comixcursors (0.7.2-1) unstable; urgency=low

  * New upstream version.
  * Remove patches applied upstream:
    + debian/patches/02-qt-cursor-links.patch

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 27 Feb 2011 09:36:21 +1100

comixcursors (0.7.1-1) unstable; urgency=low

  * The “Mackie Messer” release.
  * New upstream version.
  * debian/patches/02-qt-cursor-links.patch:
    + Add all missing cursor links from Qt4 documentation.
      (Closes: Bug#593890).
  * debian/control:
    + Produce a dummy transitional ‘comixcursors’ binary package.
  * Produce many per-binary-package Debian packaging files from templates.
  * debian/copyright:
    + Update information and format to current DEP-5 candidate format.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 23 Feb 2011 13:21:10 +1100

comixcursors (0.7-3) unstable; urgency=low

  * The “Celtissisme” release.
  * debian/rules:
    + We manage the build area manually, so use the ‘clean’ target to
      manually clean up.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 06 Aug 2010 00:30:58 +1000

comixcursors (0.7-2) unstable; urgency=low

  * The “Les sanglots longs” release.
  * debian/patches/01-custom-destdir.patch:
    + Use standard ‘DESTDIR’ variable for customising top-level install
      directory.
  * debian/control:
    + Update Homepage to descriptive URL.
    + Remove “Depends: ${shlibs:Depends}”, there are no executable files.
  * debian/control, debian/rules, debian/*.install, debian/*.docs:
    + Conform to “Standards-Version: 3.9.1”. No further changes needed.
    + Install documentation.
    + Split into multiple binary packages, aligned with upstream's
      groupings (RH translucent, LH translucent, RH opaque, LH opaque).
  * debian/preinst:
    + Handle the case where no cursor themes are yet installed
      (Closes: Bug#591595).

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 05 Aug 2010 08:48:20 +1000

comixcursors (0.7-1) unstable; urgency=low

  * The “Gourou” release.
  * New upstream version. Highlights since previous release:
    + Build “Opaque” and “Left Handed” variants from one source package.
    + License changed to GPLv3 or later.
  * debian/copyright:
    + Update copyright information and upstream identities.
  * debian/patches/:
    + Remove, all existing patches incorporated upstream in this version.
  * debian/control:
    + Declare VCS-Browser URL for Debian packaging source.
    + Update description for currently-included variants.
  * debian/compat:
    + Declare ‘debhelper’ compatibility version 7.
  * debian/postinst, debian/prerm:
    + Handle all of the cursor themes installed by this package.
  * debian/rules:
    + Use new names for upstream files.
    + Adjust for changes in upstream build system.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 08 Jun 2010 12:43:01 +1000

=== debian/control ===
Source: comixcursors
Section: x11
Priority: optional
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
VCS-bzr: http://bzr.debian.org/collab-maint/comixcursors/comixcursors.debian/
VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
Build-Depends:
    bc,
    librsvg2-bin,
    imagemagick,
    x11-apps,
    debhelper (>= 8.1)
Standards-Version: 3.9.3
Homepage: http://opendesktop.org/content/show.php/ComixCursors?content=32627

Package: comixcursors
Architecture: all
Depends:
    comixcursors-righthanded,
    ${misc:Depends}
Section: oldlibs
Priority: extra
Description: transitional dummy package
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 This package is transitional to install the right-handed, translucent
 cursor set, which is now in the ‘comixcursors-righthanded’ package.

Package: comixcursors-righthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Provides: comixcursors
Replaces: comixcursors (<< 0.7)
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (RH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the “original” (right-handed, translucent)
 ComixCursors themes, and some additional “bonus” variants.

Package: comixcursors-lefthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (LH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, translucent ComixCursors
 themes.

Package: comixcursors-righthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-lefthanded-opaque
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (RH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the right-handed, opaque ComixCursors themes.

Package: comixcursors-lefthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque
Breaks: comixcursors (<< 0.7)
Description: X11 mouse pointer themes with a comic art feeling (LH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, opaque ComixCursors themes.

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘comixcursors’ package.
#
# Copyright © 2010–2011 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied.
# See the file ‘/usr/share/common-licenses/GPL-2’ for details.

PACKAGE_BUILDDIR = $(CURDIR)/debian/build
INSTALLDIR = $(CURDIR)/debian/tmp
ICONS_DIR = usr/share/icons
icons_builddir = ${PACKAGE_BUILDDIR}/${ICONS_DIR}
icons_wrapdir = ${PACKAGE_BUILDDIR}/etc/X11/cursors
icons_installdir = ${INSTALLDIR}/${ICONS_DIR}
icons_destdir = ${DESTDIR}/${ICONS_DIR}

GENERATED_FILES :=

package_mapping = debian/package-mapping
themeset_packages = $(shell cat ${package_mapping} | cut -d':' -f1)

per_package_files = dirs docs install preinst postinst prerm lintian-overrides

INSTALL = install
WRAP_THEMES = ./debian/wrap-cursor-themes


.PHONY: build
build: build-indep build-arch
	dh $@

.PHONY: build-indep
build-indep: build-stamp
	dh $@

.PHONY: build-arch
build-arch: build-stamp
	dh $@

build-stamp: export DESTDIR=${PACKAGE_BUILDDIR}
build-stamp:
	$(INSTALL) -d ${PACKAGE_BUILDDIR}


.PHONY: clean
clean:
	$(RM) -r ${PACKAGE_BUILDDIR}/*
	$(RM) ${GENERATED_FILES}
	dh $@


.PHONY: install
install: build $(foreach package,${themeset_packages},install-${package}-stamp)
	$(INSTALL) -d ${icons_wrapdir}
	chmod +x ${WRAP_THEMES}
	PACKAGE_BUILDDIR=${PACKAGE_BUILDDIR} $(WRAP_THEMES)

	dh $@

GENERATED_FILES += install-*-stamp
GENERATED_FILES += $(foreach suffix,${per_package_files},debian/*.${suffix})
install-%-stamp: themeset_prefix = $(shell cat ${package_mapping} | grep "^$*:" | cut -d':' -f2)
install-%-stamp:
	echo "* Generating files for package ‘$*’ (themeset prefix “${themeset_prefix}”)"
	for n in ${per_package_files} ; do \
		sed \
			-e "s:@THEMESET_PREFIX@:${themeset_prefix}:" \
			-e "s:@PACKAGE@:$*:" \
			debian/templates/$$n.template > debian/$*.$$n ; \
	done
	touch "$@"


.PHONY: binary-indep
binary-indep: build install
	dh $@

.PHONY: binary-arch
binary-arch: build install

.PHONY: binary
binary: build binary-indep binary-arch

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
#	Skip auto-detection of build tool.
	make clean


.PHONY: override_dh_auto_build
override_dh_auto_build:
#	Skip auto-detection of build tool.
	DESTDIR=${PACKAGE_BUILDDIR} ./install-all
	rmdir ${icons_builddir}/default

.PHONY: override_dh_auto_test
override_dh_auto_test:
#	Skip auto-detection of build tool.

.PHONY: override_dh_auto_install
override_dh_auto_install:
#	Skip auto-detection of build tool.
	$(INSTALL) -d ${INSTALLDIR}
	cp -a ${PACKAGE_BUILDDIR}/. ${INSTALLDIR}/.

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/watch ===
# The source files for ComixCursors are stored at a $FOO-Forge site
# with awkward redirection done via HTML. Currently ‘uscan(1)’ is
# unable to recognise or download these files automatically.

## comixcursors 0.8.2

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Makefile
 # Part of ComixCursors, a desktop cursor theme.
 #
-# Copyright © 2010 Ben Finney <ben+gnome@benfinney.id.au>
-# Copyright © 2006–2010 Jens Luetkens <j.luetkens@hamburg.de>
+# Copyright © 2010–2013 Ben Finney <ben+opendesktop@benfinney.id.au>
+# Copyright © 2006–2013 Jens Luetkens <j.luetkens@hamburg.de>
 # Copyright © 2003 Unai G
 #
 # This work is free software: you can redistribute it and/or modify it
@@ -28,11 +28,11 @@
 PACKAGENAME ?= ${CURSORSNAME}
 SUMMARY ?= The original Comix Cursors
 ICONSDIR ?= ${HOME}/.icons
-THEMENAME ?= custom
+THEMENAME ?= Custom
 
 GENERATED_FILES :=
 
-ifeq (@LH-,$(findstring @LH-,@${THEMENAME}))
+ifeq (@LH-,$(findstring @LH-,@${THEMEOPTIONS}))
 	orientation = LeftHanded
 else
 	orientation = RightHanded
@@ -41,19 +41,19 @@
 bindir = bin
 svgdir = svg
 indir = ${svgdir}/${orientation}
-configdir = ComixCursorsConfigs
-configfile = ${configdir}/${THEMENAME}.CONFIG
-themefile = ${configdir}/${THEMENAME}.theme
 workdir = tmp
 builddir = build
 xcursor_builddir = cursors
 distdir = dist
+configdir = ComixCursorsConfigs
+configfile = ${configdir}/${THEMENAME}.CONFIG
+themefile = ${builddir}/${THEMENAME}.theme
 
-destdir = ${ICONSDIR}/${CURSORSNAME}-${THEMENAME}
+destdir = ${ICONSDIR}/${CURSORSNAME}${THEMEOPTIONS}${THEMEINCLUDE}${SIZENAME}-${THEMENAME}
 xcursor_destdir = ${destdir}/cursors
 
-template_configfile = ${configdir}/custom.CONFIG
-template_themefile = ${configdir}/custom.theme
+template_configfile = ${configdir}/Custom.CONFIG
+template_themefile = ${configdir}/Custom.theme
 
 # Derive cursor file names.
 conffiles = $(wildcard ${builddir}/*.conf)
@@ -74,16 +74,16 @@
 
 GENERATED_FILES += ${rpm_specfile_changelog} *.spec
 
-LINK_CURSORS = "${bindir}"/link-cursors
-MAKE_SPECFILE_CHANGELOG = "${bindir}"/news-to-specfile-changelog
-MAKE_SPECFILE = "${bindir}"/make-specfile
+LINK_CURSORS = "${bindir}/link-cursors"
+MAKE_SPECFILE_CHANGELOG = "${bindir}/news-to-specfile-changelog"
+MAKE_SPECFILE = "${bindir}/make-specfile"
 
 
 
 .PHONY: all
 all: ${cursorfiles}
 
-${xcursor_builddir}/%: ${builddir}/%.conf ${builddir}/%*.png
+${xcursor_builddir}/%: ${builddir}/%.conf $(wildcard ${builddir}/%*.png)
 	xcursorgen "$<" "$@"
 
 
@@ -99,7 +99,7 @@
 	install -m u=rw,go=r "${xcursor_builddir}"/* "${xcursor_destdir}"
 
 # Install the theme configuration file.
-	install -m u=rw,go=r "${themefile}" "${destdir}"/index.theme
+	install -m u=rw,go=r "${themefile}" "${destdir}/index.theme"
 
 # Install alternative name symlinks for the cursors.
 	$(LINK_CURSORS) "${xcursor_destdir}"
@@ -117,6 +117,7 @@
 	cp "$<" "$@"
 
 ${themefile}: ${template_themefile}
+	install -d "${builddir}"
 	cp "$<" "$@"

=== debian/changelog ===
comixcursors (0.8.2-1) unstable; urgency=low

  * The “Lose Your Face, Lose Your Name” release.
  * New upstream version (Closes: bug#726615).
    + Multi-sized cursors dramatically reduces the number of separate
      themes.
    + Removed the “bonus” variants that were inconsistent with the rest.
    + Different method for producing shadows in SVG.
      (Closes: bug#684869, bug#708133)
  * debian/control:
    + Declare “Standards-Version: 3.9.5”. No further changes required.
    + Update VCS fields for canonical hostname.
    + Remove transitional dummy package ‘comixcursors’.
    + Remove mention of “bonus” variants.
  * debian/templates/install.template, debian/package-mapping:
    + Install multi-sized cursor themes.
  * debian/templates/{pre,post}inst.template, debian/NEWS:
    + Remove size-specific cursor themes on upgrade.
  * debian/templates/{pre,post}{inst,rm}.template:
    + Search the correct icons directory for installed templates.
      (Closes: bug#648965)
  * debian/copyright:
    + Update copyright years and format URL.
    + Update license for Debian packaging to GPL-3+.
  * debian/patches/:
    + Update for current upstream version.
    + 02-rsvg-convert.patch:
      * Remove, merged upstream.
  * debian/bzr-builddeb.conf:
    + Add this package's configuration for ‘bzr builddeb’.
  * debian/compat, debian/control:
    + Require Debhelper minimum version 9.
  * debian/watch, debian/source.lintian-overrides:
    + Remove no-op ‘uscan’ configuration file.
  * debian/README.source:
    + Properly document how to make the Debian source package.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 21 Jan 2014 22:35:31 +1100

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,16 @@
 Section: x11
 Priority: optional
 Maintainer: Ben Finney <ben+debian@benfinney.id.au>
-VCS-bzr: http://bzr.debian.org/collab-maint/comixcursors/comixcursors.debian/
-VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
+VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/comixcursors/comixcursors.debian/
+VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
 Build-Depends:
     bc,
     librsvg2-bin,
     imagemagick,
     x11-apps,
-    debhelper (>= 8.1)
-Standards-Version: 3.9.3
+    debhelper (>= 9)
+Standards-Version: 3.9.5
 Homepage: http://opendesktop.org/content/show.php/ComixCursors?content=32627
-
-Package: comixcursors
-Architecture: all
-Depends:
-    comixcursors-righthanded,
-    ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package
- ComixCursors is a set of mouse pointer themes for X11 in the style of
- comic-book art.
- .
- This package is transitional to install the right-handed, translucent
- cursor set, which is now in the ‘comixcursors-righthanded’ package.
 
 Package: comixcursors-righthanded
 Architecture: all
@@ -48,7 +34,7 @@
   * 2 different weights (slim, normal)
  .
  This package installs the “original” (right-handed, translucent)
- ComixCursors themes, and some additional “bonus” variants.
+ ComixCursors themes.
 
 Package: comixcursors-lefthanded
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘comixcursors’ package.
#
# Copyright © 2010–2014 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 3 or later.
# No warranty expressed or implied.
# See the file ‘/usr/share/common-licenses/GPL-3’ for details.

PACKAGE_BUILDDIR = "$(CURDIR)/debian/build"
INSTALLDIR = "$(CURDIR)/debian/tmp"
ICONS_DIR = usr/share/icons
icons_builddir = "${PACKAGE_BUILDDIR}"/${ICONS_DIR}
icons_wrapdir = "${PACKAGE_BUILDDIR}"/etc/X11/cursors
icons_installdir = "${INSTALLDIR}"/${ICONS_DIR}
icons_destdir = "${DESTDIR}"/${ICONS_DIR}

GENERATED_FILES :=

package_mapping = debian/package-mapping
themeset_packages = $(shell cat ${package_mapping} | cut -d':' -f1)

per_package_files = dirs docs install preinst postinst prerm lintian-overrides

INSTALL = install
WRAP_THEMES = "$(CURDIR)"/debian/wrap-cursor-themes


.PHONY: build
build: build-indep build-arch
	dh $@

.PHONY: build-indep
build-indep: build-stamp
	dh $@

.PHONY: build-arch
build-arch: build-stamp
	dh $@

build-stamp: export DESTDIR="${PACKAGE_BUILDDIR}"
build-stamp:
	$(INSTALL) -d "${PACKAGE_BUILDDIR}"


.PHONY: clean
clean:
	$(RM) -r "${PACKAGE_BUILDDIR}"/*
	$(RM) ${GENERATED_FILES}
	dh $@


.PHONY: install
install: build $(foreach package,${themeset_packages},install-${package}-stamp)
	$(INSTALL) -d "${icons_wrapdir}"
	chmod +x ${WRAP_THEMES}
	PACKAGE_BUILDDIR="${PACKAGE_BUILDDIR}" $(WRAP_THEMES)

	dh $@

GENERATED_FILES += install-*-stamp
GENERATED_FILES += $(foreach suffix,${per_package_files}, \
	$(foreach package_name,$(shell cat ${package_mapping} | cut -d':' -f1), \
		debian/${package_name}.${suffix}))
install-%-stamp: themeset_prefix = $(shell cat ${package_mapping} | grep "^$*:" | cut -d':' -f2)
install-%-stamp:
	echo "* Generating files for package ‘$*’ (themeset prefix “${themeset_prefix}”)"
	for n in ${per_package_files} ; do \
		sed \
			-e "s:@THEMESET_PREFIX@:${themeset_prefix}:" \
			-e "s:@PACKAGE@:$*:" \
			debian/templates/$$n.template > debian/$*.$$n ; \
	done
	touch "$@"


.PHONY: binary-indep
binary-indep: build install
	dh $@

.PHONY: binary-arch
binary-arch: build install

.PHONY: binary
binary: build binary-indep binary-arch

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
#	Skip auto-detection of build tool.
	make clean


.PHONY: override_dh_auto_build
override_dh_auto_build:
#	Skip auto-detection of build tool.
	DESTDIR="${PACKAGE_BUILDDIR}" ./install-all
	rmdir "${icons_builddir}"/default

.PHONY: override_dh_auto_test
override_dh_auto_test:
#	Skip auto-detection of build tool.

.PHONY: override_dh_auto_install
override_dh_auto_install:
#	Skip auto-detection of build tool.
	$(INSTALL) -d "${INSTALLDIR}"
	cp -a "${PACKAGE_BUILDDIR}"/. "${INSTALLDIR}"/.

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

## comixcursors 0.9

=== debian/changelog ===
comixcursors (0.9-2) unstable; urgency=medium

  * The “Ishrat Akhond” release.
  * Use current HTTPS URL for copyright format reference.
  * Update copyright years.
  * Specify current VCS for Debian packaging work.
  * Add build targets recommended by Debian Policy §4.9.
  * Update UScan configuration for upstream source URLs.
  * Declare “Standards-Version: 4.0.1”. No additional changes required.

 -- Ben Finney <bignose@debian.org>  Sat, 26 Aug 2017 04:03:25 +1000

comixcursors (0.9-1) unstable; urgency=medium

  * The “Zainullah Naseri” release.
  * New upstream version.
    Highlights since previous release:
    * Increased transparency in shadows.
  * debian/*:
    * Update my email address for Debian work.
  * debian/control:
    * Declare “Standards-Version: 3.9.8”. No additional changes required.
    * Migrate packaging VCS to Git on NotABug.
    * Set “Homepage” field to new upstream home.
  * debian/copyright:
    * Add editor hints.
    * Update copyright notices.
    * Distinguish license conditions from license grants.
    * Update source URL to new upstream release location.
  * debian/README.source:
    * Remove obsolete information about obtaining upstream source.
    * Document how the source package is built.
  * debian/watch, debian/source.lintian-overrides:
    * Configure UScan for new upstream release location.
    * Remove Lintian override for missing UScan configuration.

 -- Ben Finney <bignose@debian.org>  Tue, 04 Oct 2016 09:18:04 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: comixcursors
 Section: x11
 Priority: optional
-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
-VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/comixcursors/comixcursors.debian/
-VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/comixcursors/comixcursors.debian/
+Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends:
     bc,
     librsvg2-bin,
     imagemagick,
     x11-apps,
     debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://opendesktop.org/content/show.php/ComixCursors?content=32627
+Standards-Version: 4.0.1
+Homepage: https://gitlab.com/limitland/comixcursors/
+VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
+VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
 
 Package: comixcursors-righthanded
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # debian/rules
 # Part of Debian ‘comixcursors’ package.
 #
-# Copyright © 2010–2014 Ben Finney <ben+debian@benfinney.id.au>
+# Copyright © 2010–2017 Ben Finney <bignose@debian.org>
 # This is free software; you may copy, modify and/or distribute this work
 # under the terms of the GNU General Public License, version 3 or later.
 # No warranty expressed or implied.
@@ -94,6 +94,35 @@
 
 
 
+.PHONY: get-packaged-orig-source
+get-packaged-orig-source:
+	$(uscan-download-source) --download-current-version
+
+# Policy §4.9 strongly recommends the ‘get-orig-source’ target:
+# “This target is optional, but providing it if possible is a good idea.”
+#
+# This target is an anomaly: per Policy §4.9, it fetches the *latest*
+# upstream source, regardless of this package's version. To fetch the
+# upstream source corresponding to this package's *declared* version
+# in ‘debian/changelog’, use ‘get-packaged-orig-source’ instead.
+.PHONY: get-orig-source
+get-orig-source:
+	$(uscan-download-source)
+
+get-orig-source get-packaged-orig-source: http_proxy =
+get-orig-source get-packaged-orig-source: makefile_dir = $(abspath $(dir $(firstword ${MAKEFILE_LIST})))
+get-orig-source get-packaged-orig-source: package_dir = $(abspath $(dir ${makefile_dir}))
+
+define uscan-download-source
+	uscan --noconf --verbose \
+	    --force-download \
+	    --rename \
+	    --destdir=$(CURDIR) \
+	    --check-dirname-level=0 ${package_dir}
+endef # uscan-download-source
+
+
+
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 #	Skip auto-detection of build tool.

=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘comixcursors’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Jens Luetkens's repository.
opts = "filenamemangle=s%^.+/@ANY_VERSION@/archive\.%comixcursors-$1\.%g" \
    https://gitlab.com/limitland/@PACKAGE@/tags \
    /limitland/@PACKAGE@/repository/@ANY_VERSION@/archive@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## comixcursors 0.9.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Part of ComixCursors, a desktop cursor theme.
 #
 # Copyright © 2010–2013 Ben Finney <ben+opendesktop@benfinney.id.au>
-# Copyright © 2006–2013 Jens Luetkens <j.luetkens@hamburg.de>
+# Copyright © 2006–2013 Jens Luetkens <j.luetkens@limitland.de>
 # Copyright © 2003 Unai G
 #
 # This work is free software: you can redistribute it and/or modify it

=== debian/changelog ===
comixcursors (0.9.1-2) unstable; urgency=medium

  * Acknowledge non-maintainer upload “0.9.1-1.1”.
  * Update publication years in Debian packaging copyright notices.
  * Declare conformance to “Standards-Version: 4.6.0”. No changes needed.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Migrate Debhelper compatibility level declaration to build
      dependency.
  * Remove redundant dependency on ‘debhelper’.
    The ‘debhelper-compat’ dependency brings in the required package.
  * Record upstream metadata in DEP-12 document.
  * Specify the package build system does not require root privilege.
  * debian/README.source:
    * Document the current source package maintenance workflow.
  * debian/NEWS:
    * Remove news of changes in ancient package versions.
  * Remove dependency declarations against ancient package versions.
  * Override false positive Lintian check for VCS-* field names.

 -- Ben Finney <bignose@debian.org>  Wed, 11 May 2022 17:05:38 +1000

comixcursors (0.9.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 13:29:24 +0100

comixcursors (0.9.1-1) unstable; urgency=medium

  * The “Vincenzo D'Allestro” release.
  * New upstream version.
  * Configure Git-BuildPackage for this Debian source package.
  * Update copyright years.
  * Configure UScan for new upstream release tarball URLs.
  * Specify current VCS for Debian packaging work.
  * Declare “Standards-Version: 4.1.5”.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Declare Debhelper compatibility level 11.

 -- Ben Finney <bignose@debian.org>  Sat, 14 Jul 2018 23:20:49 +1000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
     librsvg2-bin,
     imagemagick,
     x11-apps,
-    debhelper (>= 9)
-Standards-Version: 4.0.1
+    debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/limitland/comixcursors/
-VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
-VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/comixcursors.git
+VCS-Git: https://salsa.debian.org/bignose/pkg-comixcursors.git
+VCS-Browser: https://salsa.debian.org/bignose/pkg-comixcursors
+Rules-Requires-Root: no
 
 Package: comixcursors-righthanded
 Architecture: all
@@ -22,8 +23,6 @@
     comixcursors-righthanded-opaque,
     comixcursors-lefthanded-opaque
 Provides: comixcursors
-Replaces: comixcursors (<< 0.7)
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (RH, translucent)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.
@@ -44,7 +43,6 @@
     comixcursors-righthanded,
     comixcursors-righthanded-opaque,
     comixcursors-lefthanded-opaque
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (LH, translucent)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.
@@ -65,7 +63,6 @@
     comixcursors-righthanded,
     comixcursors-lefthanded,
     comixcursors-lefthanded-opaque
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (RH, opaque)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.
@@ -85,7 +82,6 @@
     comixcursors-righthanded,
     comixcursors-lefthanded,
     comixcursors-righthanded-opaque
-Breaks: comixcursors (<< 0.7)
 Description: X11 mouse pointer themes with a comic art feeling (LH, opaque)
  ComixCursors is a set of mouse pointer themes for X11 in the style of
  comic-book art.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,9 @@
 # debian/rules
 # Part of Debian ‘comixcursors’ package.
 #
-# Copyright © 2010–2017 Ben Finney <bignose@debian.org>
-# This is free software; you may copy, modify and/or distribute this work
-# under the terms of the GNU General Public License, version 3 or later.
-# No warranty expressed or implied.
-# See the file ‘/usr/share/common-licenses/GPL-3’ for details.
+# This is free software, and you are welcome to redistribute it under
+# certain conditions; see the end of this file for copyright
+# information, grant of license, and disclaimer of warranty.
 
 PACKAGE_BUILDDIR = "$(CURDIR)/debian/build"
 INSTALLDIR = "$(CURDIR)/debian/tmp"
@@ -94,35 +92,6 @@
 
 
 
-.PHONY: get-packaged-orig-source
-get-packaged-orig-source:
-	$(uscan-download-source) --download-current-version
-
-# Policy §4.9 strongly recommends the ‘get-orig-source’ target:
-# “This target is optional, but providing it if possible is a good idea.”
-#
-# This target is an anomaly: per Policy §4.9, it fetches the *latest*
-# upstream source, regardless of this package's version. To fetch the
-# upstream source corresponding to this package's *declared* version
-# in ‘debian/changelog’, use ‘get-packaged-orig-source’ instead.
-.PHONY: get-orig-source
-get-orig-source:
-	$(uscan-download-source)
-
-get-orig-source get-packaged-orig-source: http_proxy =
-get-orig-source get-packaged-orig-source: makefile_dir = $(abspath $(dir $(firstword ${MAKEFILE_LIST})))
-get-orig-source get-packaged-orig-source: package_dir = $(abspath $(dir ${makefile_dir}))
-
-define uscan-download-source
-	uscan --noconf --verbose \
-	    --force-download \
-	    --rename \
-	    --destdir=$(CURDIR) \
-	    --check-dirname-level=0 ${package_dir}
-endef # uscan-download-source
-
-
-
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 #	Skip auto-detection of build tool.
@@ -145,6 +114,17 @@
 
 
 
+# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
+#
+# This is free software; you may copy, modify and/or distribute this work
+# under the terms of the GNU General Public License, version 3 or later.
+# No warranty expressed or implied.
+#
+# On Debian systems, the complete text of version 3 of the GNU General
+# Public License can be found in ‘/usr/share/common-licenses/GPL-3’.
+
+
+
 # Local variables:
 # mode: makefile
 # coding: utf-8

=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Jens Luetkens's repository.
opts = "" \
    https://gitlab.com/limitland/@PACKAGE@/tags \
    /limitland/@PACKAGE@/-/archive/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
